Subject: Re: gcc-3.3.1-3 popup error persists.
From: "Gerrit P. Haase" <[email-masked]>
To: "Edward S. Peschko" <[email-masked]>
Cc: [email-masked]
Date: Tue, 6 Apr 2004 12:19:07 +0200

Hi Edward,

> this is getting on my nerves a little...

> The error that I'm getting through gcc-3.3.1.3 is persisting, and shows no signs of
> going away. Its a popup error:

> ----- 
> ----
> gcc.exe - Application Error
> ----

> The application failed to initialize properly (0xc0000022). Click OK to terminate
> the application.
> -----

> To reproduce:
> 
> Compile, install gcc-3.3.1.3 with patches.
> Try to install libiconv-1.9.1.
> 
> chmodding everything to '777' under the install root doesn't seem to do anything either,
> which seems to indicate that gcc is depending on something outside the cygwin scheme
> of things.

What is the output of cygcheck /your/path/gcc.exe and what are the
permissions of *all* the shared libraries gcc.exe depends on?

> Anyways, I'm finding the build from scratch very rough.

;)

If you compile gcc yourself, do you use the 3 stage bootstrap?  Since the
actual compiler is compiled with itself then, it should work if the build
succeeds in stage 1 and stage 2, and it if there is s.th. wrong you even
cannot finish the build of the new gcc.

> This is all giving me headaches, and suggests to me strongly that people who release
> cygwin packages are doing special interactive things (making 'magic happen') and relying
> on binary builds to cover up the interactive magic. I hope I'm wrong about this, because
> its going to make my job a lot harder.  Is there a tinderbox for building cygwin - and
> popular cygwin packages -  from scratch?

Not much magic here.  I basically just followed the recommended way to
build gcc:

$ mkdir build-gcc
$ cd build-gcc
$ ../gcc-src/configure --options ...
$ make
$ make install

See my script included in the gcc-core-3.3.1-3-src.tar.bz2 package about
the details.

> And who's the maintainer for the cygwin version of gcc, anyways? I'd like to work
> with him/her to fix this problem with gcc. 

Hi.  I'm not sure if I'm able to help you.

errit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/